Cisco NX-OS Software 命令注入漏洞

CVE编号

CVE-2019-1783

利用情况

暂无

补丁情况

N/A

披露时间

2019-05-16
漏洞描述
Cisco NX-OS软件的CLI中的漏洞可能允许具有管理员凭据的经过身份验证的本地攻击者在具有root权限级别的基础Linux操作系统上执行任意命令。该漏洞是由于对受影响设备上传递给特定CLI命令的参数的验证不充分。攻击者可以通过将恶意输入作为受影响命令的参数来利用此漏洞。成功利用可能允许攻击者使用提升的权限在底层Linux操作系统上执行任意命令。攻击者需要有效的管理员凭据才能利用此漏洞。

解决建议
厂商已发布漏洞修复程序,请及时关注更新:
https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20190515-nxos-cmdinj-1783
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 cisco nx-os * Up to
(excluding)
7.3\(4\)n1\(1\)
运行在以下环境
系统 cisco nx-os * From
(including)
7.2
Up to
(excluding)
7.3\(3\)d1\(1\)
运行在以下环境
系统 cisco nx-os * From
(including)
8.0
Up to
(excluding)
8.3\(1\)
运行在以下环境
硬件 cisco nexus_5548p - -
运行在以下环境
硬件 cisco nexus_5548up - -
运行在以下环境
硬件 cisco nexus_5596t - -
运行在以下环境
硬件 cisco nexus_5596up - -
运行在以下环境
硬件 cisco nexus_56128p - -
运行在以下环境
硬件 cisco nexus_5624q - -
运行在以下环境
硬件 cisco nexus_5648q - -
运行在以下环境
硬件 cisco nexus_5672up - -
运行在以下环境
硬件 cisco nexus_5696q - -
运行在以下环境
硬件 cisco nexus_6001 - -
运行在以下环境
硬件 cisco nexus_6004 - -
运行在以下环境
硬件 cisco nexus_7000 - -
运行在以下环境
硬件 cisco nexus_7700 - -
CVSS3评分
6.7
  • 攻击路径
    本地
  • 攻击复杂度
  • 权限要求
  • 影响范围
    未更改
  • 用户交互
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-88 参数注入或修改
阿里云安全产品覆盖情况